import initLogger from '../logger';

const logger = initLogger();

export default function errorHandler(error, req, res, _next) {
	logger.warn(`Failed to fulfill request to ${req.path}: ${error.message}`);

	if (process.env.NODE_ENV === 'development') {
		logger.error(error);
	}

	if (error.statusCode) {
		res.status(error.statusCode).send({
			statusCode: error.statusCode,
			statusMessage: error.statusMessage,
		});

		return;
	}

	res.status(500).send('Something didn\'t quite go as expected... Our apologies for the inconvenience.');
}
